BridgeControl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.management

## Interface BridgeControl

- All Superinterfaces:
    ActiveMQComponentControl

      public interface BridgeControl
      extends ActiveMQComponentControl

  A BridgeControl is used to manage a Bridge.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiscoveryGroupName()` Returns the name of the discovery group used by this bridge.
    `String` | `getFilterString()` Returns the filter string associated to this bridge.
    `String` | `getForwardingAddress()` Returns the address this bridge will forward messages to.
    `String` | `getName()` Returns the name of this bridge
    `String` | `getQueueName()` Returns the name of the queue this bridge is consuming messages from.
    `int` | `getReconnectAttempts()` Returns the number of reconnection attempts used by this bridge.
    `long` | `getRetryInterval()` Returns the retry interval used by this bridge.
    `double` | `getRetryIntervalMultiplier()` Returns the retry interval multiplier used by this bridge.
    `String[]` | `getStaticConnectors()` Returns any list of static connectors used by this bridge
    `String` | `getTransformerClassName()` Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated to this bridge.
    `boolean` | `isHA()` Returns whether this bridge is using high availability
    `boolean` | `isUseDuplicateDetection()` Returns whether this bridge is using duplicate detection.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of this bridge

    - #### getQueueName

          String getQueueName()

      Returns the name of the queue this bridge is consuming messages from.

    - #### getForwardingAddress

          String getForwardingAddress()

      Returns the address this bridge will forward messages to.

    - #### getFilterString

          String getFilterString()

      Returns the filter string associated to this bridge.

    - #### getTransformerClassName

          String getTransformerClassName()

      Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated to this bridge.

    - #### getStaticConnectors

          String[] getStaticConnectors()
                                throws Exception

      Returns any list of static connectors used by this bridge
      Throws:
        `Exception`

    - #### getDiscoveryGroupName

          String getDiscoveryGroupName()

      Returns the name of the discovery group used by this bridge.

    - #### getRetryInterval

          long getRetryInterval()

      Returns the retry interval used by this bridge.

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

      Returns the retry interval multiplier used by this bridge.

    - #### getReconnectAttempts

          int getReconnectAttempts()

      Returns the number of reconnection attempts used by this bridge.

    - #### isUseDuplicateDetection

          boolean isUseDuplicateDetection()

      Returns whether this bridge is using duplicate detection.

    - #### isHA

          boolean isHA()

      Returns whether this bridge is using high availability

Copyright © 2015. All rights reserved.